#include "vision.h"
#include <bits/stdc++.h>
typedef long long ll;
typedef long double ld;
using namespace std;
const ll esim = (1 << 30) - 1;
int a[111];
int pw[100];
bool eq(vector<int> a, vector<int> b) {
    return a == b;
}
vector<int> getVisionPattern1d() {
    return { 3, 1, 2, 1, 1 };
}
vector<vector<int>> getVisionPattern2d() {
    return {};
}
int getMove1d(vector<int> v) {
    if (eq(v, { 2, 1, 1, 3, 1, 2, 1 })) return 6;
    if (eq(v, { 1, 2, 1, 3, 1, 1, 2 })) return 0;
    if (eq(v, { 3, 1, 2 })) return 2;
    if (eq(v, { 2, 1, 3 })) return 0;
    if (eq(v, {3, 1, 2, 1, 1})) return 4;
    if (eq(v, {1, 1, 2, 1, 3})) return 0;
    if (eq(v, {2, 1, 1})) return 2;
    if (eq(v, {1, 1, 2})) return 0;
    if (eq(v, {1, 1, 3})) return 2;
    return 0;
}
pair<int, int> getMove2d(vector<vector<int>> v) {
    return { 0, 0 };
}